<?php
include "../ver_sessao.php";
include "../conecta.php";


function finaliza_compra(){
	
	$a_compra = carregar('compra',$_POST[id]);
	
	// $sql_test=selecionar('pres','pres_tx_status',"!inativo"," AND pres_nb_estoque = '$_POST[id]'");
	// while($a=carrega_array($sql_test)){
		
	// 	if( intval($a[pres_tx_qtde])==0 || intval($a[pres_tx_valor]) == 0 ) {
	// 		set_status("ERRO: Preencha todos os valores e quantidades");
	// 		layout_produto();
	// 		exit;
	// 	}
	// }




	// for($i=0;$i<count($_POST[id_produto]);$i++){

	// 	$produto=$_POST[id_produto][$i];
	// 	$a_prod=carregar('prod_tx_valorVenda|produto',$_POST[id_produto][$i]);		

	// 	$campos=array(pres_nb_estoque,pres_nb_produto,pres_tx_status,pres_tx_valor,pres_tx_qtde);
	// 	$valores=array($_POST[id],$produto,'ativo',$a_prod[0],valor($_POST[estoque][$i]));
	// 	inserir('pres',$campos,$valores,1);
		
	// }

	
	$sql_test=selecionar('pres','pres_tx_status',"!inativo"," AND pres_nb_estoque = '$_POST[id]'");
	while($a=carrega_array($sql_test)){
		$qtde_cong=0;
		$sql_cong = selecionar('congela','cong_tx_status','ativo'," AND cong_nb_produto = '$a[pres_nb_produto]' AND cong_nb_estoque = '$_POST[id]' LIMIT 1");
		if(num_linhas($sql_cong)>0){
			$a_cong = carrega_array($sql_cong);

			$sql_orde=selecionar('SUM(orpr_tx_qtde)|orpr,ordem','orde_tx_status,orpr_tx_status','encerrado,ativo'," AND orpr_nb_produto='$a[pres_nb_produto]' AND orpr_tx_data >= '$a_cong[cong_tx_data]' group by orpr_nb_produto");
			$a_orde=carrega_array($sql_orde);
			$qtde_cong = $a_orde[0];
		}


		$a_prod=carregar('produto',$a[pres_nb_produto]);
		// $prod_qtde=$a[pres_tx_qtde]+$a_prod[prod_tx_qtde];
		$prod_qtde=$a[pres_tx_qtde]-$qtde_cong;
		atualizar('produto',prod_tx_qtde,$prod_qtde,$a[pres_nb_produto]);
		
		$campos=array(pres_tx_status,pres_tx_estoqueAtual);
		$valores=array('encerrado',$a_prod[$campo_qtde]);
		atualizar('pres',$campos,$valores,$a[0]);

	}

	atualizar('estoque','esto_tx_status','encerrado',$_POST[id]);

	set_status('Estoque atualizado com sucesso!');

	index();
	exit;
	

}


function exclui_produto() {
	
	$a_pres=carregar('pres',$_POST[id]);
	
	$_POST[id]=$a_pres[pres_nb_estoque];
	
	remover('pres',$a_pres[pres_nb_id]);
	
	layout_produto();
	exit;
	
}

function exclui_compra(){
	
	remover('compra',$_POST[id]);
	index();
	exit;
	
}


function modifica_compra(){
	
	global $a_mod;
	$a_mod = carregar('estoque',$_POST[id]);
	layout_produto();
	exit;
	
}


function finaliza_produto() {
	
	print_r($_POST);
	exit;
	
	if(mostra_valor($_POST[total],1)!=mostra_valor($_POST[valor_total_hidden2],1))
		$_POST[total]=$_POST[valor_total_hidden2];
		
	if(mostra_valor($_POST[valor_total_hidden2])==0){
		layout_produto();
		exit;
	}
		
	
	
	
	//exit;

	$produto=$_POST[produto];
	$qtde=$_POST[qtde];
	$valor_un=$_POST[valor_un];
	
	$t_produto = count($qtde);
	

	// EVITA QUE, POR ACASO, O COMPRADOR ATUALIZE DEPOIS DA SOLICITACAO TER SIDO AUTORIZADA
	$a_comp = carregar('compra',$_POST[id]);
	if( $a_comp[esto_tx_status] != 'Solicitado' && $a_comp[esto_tx_status] != 'inativo' ) {
		set_status('ERRO: Impossível gravas os dados!');
		index();
		exit;
	}
	
	

	// ATUALIZA A TABELA _COMPRA_ COM O STATUS FINAL		
	$campos=array(esto_tx_status,esto_tx_valor);
	$valores=array('Solicitado',$_POST[total]);
	atualizar('compra',$campos,$valores,$_POST[id]);
	
	set_status('Solicitação efetuada com sucesso!');
	index();
	exit;
	
}





function layout_imprimir(){
	global $a_mod;

	
	$a_comp=carregar('estoque',"$_POST[id]");
	
	if($a_comp[esto_nb_categoria] > 0)
		$extra .= " AND prod_nb_categoria = '$a_comp[esto_nb_categoria]'";
	if($a_comp[esto_nb_imposto]){
		$a_ncm = carregar('imposto',$a_comp[esto_nb_imposto]);
		$extra .= " AND prod_tx_ncm = '$a_ncm[impo_tx_codigo]'";
	}
//	$a_cida = carregar('compra,loja',$_POST[id]);
	
	//SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql=selecionar('pres,produto,estoque','pres_nb_estoque,esto_tx_status,pres_tx_status',"$_POST[id],ativo,!inativo","",0);	
	
	
	cabecaRelatorio('Inventario por Categoria',3);
	
	cactux::abre_form();
	
	$t1[] = cactux::texto('Código:',$a_comp[esto_nb_id],1);
	// $t1[] = cactux::texto('Fornecedor:',$a_comp[enti_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[esto_tx_data],1),1);
	// $t1[] = cactux::texto('Nota Fiscal:',$a_comp[esto_tx_numeroNf],2);
	$t2[] = cactux::texto('Obs:',$a_comp[esto_tx_obs],10);

	// LEMBRAR AQUI QUE PARA O COMBO_NET FUNCIONAR, TEM QUE EXISTIR OS CAMPOS DE VALOR,VALOR_CX, VLAOR_UN E FORMA
 	
	$status=cactux::msg_status();
	
	
	$voltar=cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3],$t1[4]);
	cactux::linha_fieldset($t2[0]);
	cactux::fecha_fieldset();

	$sql = selecionar('produto,categoria','prod_tx_status','ativo'," $extra ORDER BY prod_tx_nome");
	$i=0;
	while ($a=carrega_array($sql)) {
		campo_hidden('id_produto[]',$a[0]);

		$sql_test=selecionar('pres','pres_tx_status',"!inativo"," AND pres_nb_estoque = '$_POST[id]' AND pres_nb_produto = '$a[prod_nb_id]' LIMIT 1");
		if(num_linhas($sql_test)>0){
			$a_test = carrega_array($sql_test);
			$mod_estoque = $a_test[pres_tx_qtde];
		}else{
			$mod_estoque = $a[prod_tx_qtde];
		}


		$total +=$a[prod_tx_qtde];
		
		$valores[] = array(++$cont,$a[prod_tx_nome],$a[prod_tx_codbarras],$a[prod_tx_ncm],$a[cate_tx_nome],mostra_valor($a[prod_tx_valorVenda]),mostra_valor($a[prod_tx_qtde]),'');
		$i++;
	}




	$cabecalho[]=array('','PRODUTO','CÓD. BARRAS','NCM','CATEGORIA','VALOR VENDA','QUANTIDADE','ESTOQUE');
	$cabecalho[]='c,e,c,c,c,c';
	$cabecalho[]='5%,,10%,10%,15%,10%,10%,10%';

	
	while( $a=carrega_array($sql) ) {

		$exclui = ".icone_excluir($a[0],'exclui_produto')";
		$valores[]=array(++$j,$a[prod_tx_nome],mostra_valor($a[pres_tx_qtde]),$exclui);
		
		campo_hidden('id_pres[]',$a[pres_nb_id]);
		$id_pres2[]=$a[pres_nb_id];
		
		
		// $total_valor+=$a[pres_tx_valor]*$a[pres_tx_qtde];
		$total_valor+=$a[pres_tx_qtde];
		
		
	}
	
	$valores[]=array('','','','','','<b>TOTAL:</b>',"<b>".mostra_valor($total)."</b>",'');

	grid::gerar($cabecalho,$valores);

	cactux::fecha_form();	
	
	
	cactux::acao_botao('voltar','index');
	// cactux::acao_botao('finaliza','finaliza_compra','id',"$_POST[id]");
	
	
	//$valor_fim=cactux::campo('Valor Total:','valor_total',mostra_valor($total_total),2, MASCARA_VALOR);
	echo "<iframe id=frame_cadastra style='display:none'></iframe>";

	javascript("
	
	function cadastra_estoque(input,id_produto,estoque_original){
		var estoque = input.value;
		var id_campo = input.id;

		window.document.getElementById('frame_cadastra').src='entrada_produto_categoria.php?".cactux_cookie::url_sistema()."&acao=cadastra_estoque&estoque='+estoque+'&id_campo='+id_campo+'&id_produto='+id_produto+'&estoque_original='+estoque_original+'&id=$_POST[id]';
	}

	function valor_final(valor) {
		
		window.document.finaliza.valor_total_hidden2.value = gera_valor(valor);
		
		
	}

	
	");
	
	
	
	rodape();
	

}


function cadastra_estoque(){
	if($_GET[estoque] == ''){
		$_GET[estoque] = $_GET[estoque_original];
		javascript("
			window.parent.document.getElementById('".$_GET[id_campo]."').value='".mostra_valor($_GET[estoque])."';

		");
	}

	$a_prod=carregar('produto',$_GET[id_produto]);

	$sql_test=selecionar('pres','pres_tx_status',"!inativo"," AND pres_nb_estoque = '$_GET[id]' AND pres_nb_produto = '$_GET[id_produto]' LIMIT 1");

	$campos=array(pres_nb_estoque,pres_nb_produto,pres_tx_status,pres_tx_valor,pres_tx_qtde);
	$valores=array($_GET[id],$_GET[id_produto],'ativo',$a_prod[prod_tx_valorVenda],valor($_GET[estoque]));
	if(num_linhas($sql_test)>0){
		$a_test=carrega_array($sql_test);		
		atualizar('pres',$campos,$valores,$a_test[0]);
	}else{
		inserir('pres',$campos,$valores,1);
	}

	// atualizar('produto','prod_tx_qtde',valor($_GET[estoque]),$_GET[id_produto]);

	javascript("
		window.parent.document.getElementById('".$_GET[id_campo]."').style.backgroundColor='lightgreen';

	");
	exit;
}


function cadastra_congela(){

	$a_prod = carregar('produto',$_POST[id_produto]);

	$campos = array(cong_nb_produto,cong_nb_estoque,cong_tx_qtde,cong_tx_data,cong_nb_user,cong_tx_status);
	$valores = array($_POST[id_produto],$_POST[id],$a_prod[prod_tx_qtde],date("Y-m-d H:i:s"),$_SESSION[user_nb_id],'ativo');

	$sql_cong = selecionar('congela','cong_tx_status','ativo'," AND cong_nb_produto = '$a_prod[prod_nb_id]' AND cong_nb_estoque = '$_POST[id]' LIMIT 1");
	if(num_linhas($sql_cong)>0){
		$a_cong = carrega_array($sql_cong);
		remover('congela',$a_cong[cong_nb_id]);
	}else{
		inserir('congela',$campos,$valores,1);
	}

	modifica_compra();
	exit;


}

function cadastra_congela_completo(){
	$a_esto = carregar('estoque',$_POST[id]);

	if($a_esto[esto_nb_categoria] > 0)
		$extra .= " AND prod_nb_categoria = '$a_esto[esto_nb_categoria]'";
	if($a_esto[esto_nb_imposto]){
		$a_ncm = carregar('imposto',$a_esto[esto_nb_imposto]);
		$extra .= " AND prod_tx_ncm = '$a_ncm[impo_tx_codigo]'";
	}


	$campos = array(cong_nb_produto,cong_nb_estoque,cong_tx_qtde,cong_tx_data,cong_nb_user,cong_tx_status);

	// $sql = selecionar('pres','pres_tx_status','ativo'," AND pres_nb_estoque = '$_POST[idx]'",0,1);
	$sql = selecionar('produto,categoria','prod_tx_status','ativo'," $extra ORDER BY prod_tx_nome"); 
	while($a=carrega_array($sql)){

		$valores = array($a[prod_nb_id],$_POST[id],$a[prod_tx_qtde],date("Y-m-d H:i:s"),$_SESSION[user_nb_id],'ativo');
		
		$sql_cong = selecionar('congela','cong_tx_status','ativo'," AND cong_nb_produto = '$a[prod_nb_id]' AND cong_nb_estoque = '$_POST[id]' LIMIT 1");
		if(num_linhas($sql_cong)>0){
			$a_cong = carrega_array($sql_cong);
			atualizar('congela',$campos,$valores,$a_cong[cong_nb_id]);
		}else{
			inserir('congela',$campos,$valores,1);
		}

	}

	echo "
	<script>
		alert('Congelamento de estoque efetuado com sucesso!');
	</script>";

	index();
	exit;


}



function layout_produto(){
	global $a_mod;

	
	$a_comp=carregar('estoque',"$_POST[id]");
	
	if($a_comp[esto_nb_categoria] > 0)
		$extra .= " AND prod_nb_categoria = '$a_comp[esto_nb_categoria]'";
	if($a_comp[esto_nb_imposto]){
		$a_ncm = carregar('imposto',$a_comp[esto_nb_imposto]);
		$extra .= " AND prod_tx_ncm = '$a_ncm[impo_tx_codigo]'";
	}
//	$a_cida = carregar('compra,loja',$_POST[id]);
	
	//SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql=selecionar('pres,produto,estoque','pres_nb_estoque,esto_tx_status,pres_tx_status',"$_POST[id],ativo,!inativo","",0);	
	
	
	cabecalho('Inventario por Categoria',3);
	
	cactux::abre_form();
	
	$t1[] = cactux::texto('Código:',$a_comp[esto_nb_id],1);
	// $t1[] = cactux::texto('Fornecedor:',$a_comp[enti_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[esto_tx_data],1),1);
	// $t1[] = cactux::texto('Nota Fiscal:',$a_comp[esto_tx_numeroNf],2);
	$t2[] = cactux::texto('Obs:',$a_comp[esto_tx_obs],10);

	// LEMBRAR AQUI QUE PARA O COMBO_NET FUNCIONAR, TEM QUE EXISTIR OS CAMPOS DE VALOR,VALOR_CX, VLAOR_UN E FORMA
	$gravar=cactux::botao_submit('Finalizar',2,'finaliza_compra','id',"$_POST[id]");
	
	$status=cactux::msg_status();
	
	
	$imprimir=cactux::botao('Imprimir',2,'imprimir');
	$voltar=cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3],$t1[4]);
	cactux::linha_fieldset($t2[0]);
	cactux::linha_fieldset($voltar,$imprimir,$gravar,$status);
	cactux::fecha_fieldset();

	$sql = selecionar('produto,categoria','prod_tx_status','ativo'," $extra ORDER BY prod_tx_nome");
	$i=0;
	while ($a=carrega_array($sql)) {
		campo_hidden('id_produto[]',$a[0]);

		$sql_test=selecionar('pres','pres_tx_status',"!inativo"," AND pres_nb_estoque = '$_POST[id]' AND pres_nb_produto = '$a[prod_nb_id]' LIMIT 1");
		if(num_linhas($sql_test)>0){
			$a_test = carrega_array($sql_test);
			$mod_estoque = $a_test[pres_tx_qtde];
		}else{
			$mod_estoque = $a[prod_tx_qtde];
		}

		$total += $a[prod_tx_qtde];

		// $sql_cong = selecionar('congela','cong_tx_status','ativo'," AND cong_nb_produto = '$a[prod_nb_id]' AND cong_nb_estoque = '$_POST[id]' LIMIT 1");
		// if(num_linhas($sql_cong)>0){
		// 	$congelar = ".icone_modificar($_POST[id],'cadastra_congela','id_produto',$a[prod_nb_id],'','','','/cactus/imagens/cadeado3.png')";
		// }else{
		// 	$congelar = ".icone_modificar($_POST[id],'cadastra_congela','id_produto',$a[prod_nb_id],'','','','/cactus/imagens/cadeado2.png')";
		// }


		$estoque=cactux::campo_simples("estoque[$i]",mostra_valor($mod_estoque),2, " onfocus=this.select(); id='estoque[$i]' onkeyup='mascara_reais(this);' onblur='cadastra_estoque(this,$a[prod_nb_id],$a[prod_tx_qtde]);' "); //onkeyup='mascara_reais(this);
		$valores[] = array(++$cont,$a[prod_tx_nome],$a[prod_tx_ncm],$a[cate_tx_nome],mostra_valor($a[prod_tx_qtde]),$estoque);
		$i++;
	}




	$cabecalho[]=array('','PRODUTO','NCM','CATEGORIA','QUANTIDADE','ESTOQUE');
	$cabecalho[]='c,e,c,c,c,c,c';
	$cabecalho[]='5%,,10%,15%,10%,10%,2%';

	
	while( $a=carrega_array($sql) ) {



		$exclui = ".icone_excluir($a[0],'exclui_produto')";
		$valores[]=array(++$j,$a[prod_tx_nome],mostra_valor($a[pres_tx_qtde]),$exclui);
		
		campo_hidden('id_pres[]',$a[pres_nb_id]);
		$id_pres2[]=$a[pres_nb_id];
		
		
		// $total_valor+=$a[pres_tx_valor]*$a[pres_tx_qtde];
		$total_valor+=$a[pres_tx_qtde];
		
		
	}
	
	$valores[]=array('','','','<b>TOTAL:</b>',"<b>".mostra_valor($total)."</b>",'');

	grid::gerar($cabecalho,$valores);

	cactux::fecha_form();	
	
	
	cactux::acao_botao('voltar','index');
	cactux::acao_botao('imprimir','layout_imprimir','id',"$_POST[id]",'','','target=_blank');
	
	
	//$valor_fim=cactux::campo('Valor Total:','valor_total',mostra_valor($total_total),2, MASCARA_VALOR);
	echo "<iframe id=frame_cadastra style='display:none'></iframe>";

	javascript("
	
	function cadastra_estoque(input,id_produto,estoque_original){
		var estoque = input.value;
		var id_campo = input.id;

		window.document.getElementById('frame_cadastra').src='entrada_produto_categoria.php?acao=cadastra_estoque&estoque='+estoque+'&id_campo='+id_campo+'&id_produto='+id_produto+'&estoque_original='+estoque_original+'&id=$_POST[id]';
	}

	function valor_final(valor) {
		
		window.document.finaliza.valor_total_hidden2.value = gera_valor(valor);
		
		
	}

    window.addEventListener('keydown', function(e) {
        if (e.keyIdentifier == 'U+000A' || e.keyIdentifier == 'Enter' || e.keyCode == 13) {
            if (e.target.nodeName == 'INPUT' && e.target.type == 'text') {
                e.preventDefault();
                return false;
            }
        }
    }, true);

	
	");
	
	
	
	rodape();
	

}



function cadastra_compra() {

	// if( $_POST[fornecedor]=='' ){
	// 	set_status("ERRO: Preencha todos os campos!");
	// 	if( !$_POST[id] )
	// 		layout_compra();
	// 	else
	// 		modifica_compra();
	// 	exit;	
	// }


	if( !$_POST[id] ) {
		
		$hoje = date("Y-m-d H:i:s");
		
		$campos=array(esto_nb_entidade,esto_nb_categoria,esto_nb_imposto,esto_tx_obs,esto_tx_status,esto_tx_data,esto_tx_numeroNf);
		$valores=array($_POST[fornecedor],$_POST[categoria],$_POST[imposto],$_POST[obs],'ativo',gera_data($_POST[data],1),$_POST[nf]);
		inserir('estoque',$campos,$valores,1);
		$id_ped=ultimo_reg('estoque');
		
		
				
		$_POST[id]=$id_ped;	
		
		
	} else {

		$a_comp=carregar('estoque',$_POST[id]);
	
		$campos=array(esto_nb_entidade,esto_nb_categoria,esto_nb_imposto,esto_tx_obs,esto_tx_status,esto_tx_data,esto_tx_numeroNf);
		$valores=array($_POST[fornecedor],$_POST[categoria],$_POST[imposto],$_POST[obs],'ativo',gera_data($_POST[data],1),$_POST[nf]);
		atualizar('estoque',$campos,$valores,$a_comp[esto_nb_id]);
		

	}

	layout_produto();
	exit;
	
}

function layout_compra() {

	global $a_mod;
	
	if($a_mod[esto_nb_entidade]>0)
		$a_ent=carregar('entidade',$a_mod[esto_nb_entidade]);
	
	if($a_mod[esto_tx_data]=='' || $a_mod[esto_tx_numeroNf]=='0000-00-00')
		$data=date("Y-m-d");
	else
		$data=$a_mod[esto_tx_data];

	cabecalho('Inventario por Categoria',2);

	cactux::abre_form();

	// $c[] = cactux::combo_net('Fornecedor:','fornecedor',$a_ent[enti_nb_id],$a_ent[enti_tx_nome],4,array('busca_div.php?c=entidade','busca_net.php?c=entidade'));
//	$c[] = cactux::campo('Valor Total:','valor',mostra_valor($a_mod[esto_tx_valor]),2, MASCARA_VALOR);
	$c[] = cactux::combo_net('!NCM:','imposto',$a_imposto[0],$nome_imposto,7,array("busca_imposto_div.php?c=ncm","busca_imposto_net.php?c=ncm"));
	$c[] = cactux::combo_bd('!Categoria:','categoria',$a_mod[esto_nb_categoria],$a_mod[esto_nb_categoria],3,'categoria','.nome');
	$c[] = cactux::campo('Data:','data',data($data,1),2,"");
	// $c[] = cactux::campo('Nota Fiscal:','nf',$a_mod[esto_tx_numeroNf],2);
	
	
	$c[] = cactux::campo('Observação:','obs',$a_mod[esto_tx_obs],8);
	
	$avancar=cactux::botao_submit('Avançar',2,'cadastra_compra','id',$_POST[id]);
	$voltar=cactux::botao('Voltar',2,'voltar');
	$status=cactux::msg_status();
	
	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($c[0],$c[1]);
	cactux::linha_fieldset($c[2],$c[3]);
	cactux::linha_fieldset($voltar,$avancar,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	
}

function index(){


	if( $_POST[busca_data1] )
		$extra .= " AND esto_tx_data >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND esto_tx_data <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_fornecedor] ){
		$extra .= " AND enti_tx_nome LIKE '%$_POST[busca_fornecedor]%'";
	}
	if( $_POST[busca_cod] )
		$extra .= " AND esto_nb_id = '$_POST[busca_cod]'";

	if($_POST[busca_categoria])
		$extra .= " AND esto_nb_categoria = '$_POST[busca_categoria]'";

	cabecalho('Inventario por Categoria',2);
	
	cactux::abre_form();
	
	//CAMPOS
//	$c[] = cactux::combo_net('Fornecedor:','busca_fornecedor',$a_mod[enti_nb_id],$a_mod[enti_tx_nome],4,array('busca_div.php?c=entidade','busca_net.php?c=entidade'));
	$c[] = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	// $c[] = cactux::campo('Fornecedor:','busca_fornecedor',$_POST[busca_fornecedor],4);
	$c[] = cactux::campo('Data Inicial:','busca_data1',$_POST[busca_data1],2,MASCARA_DATA);
	$c[] = cactux::campo('Data Final:','busca_data2',$_POST[busca_data2],2,MASCARA_DATA);
	$c[] = cactux::combo_bd('!Categoria:','busca_categoria',$_POST[busca_categoria],$_POST[busca_categoria],3,'categoria');
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$inserir,$imprimir_busca,$status);
	cactux::fecha_fieldset();
	
	$sql=selecionar('estoque','esto_tx_status',"!inativo"," $extra ORDER BY esto_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',30);
	
	$cabecalho[]=array('CÓD','DATA','CATEGORIA','OBSERVAÇÃO','SITUAÇÃO','','','');
	$cabecalho[]='c,c,e,e,e,c,c,c';
	$cabecalho[]='5%,15%,20%,,10%,2%,2%,2%';
	
	while($a=carrega_array($BUSCA[0])){
	
		$imprimir = ".icone_modificar($a[0],'layout_imprimir','','','','target=_blank','','/cactus/imagens/imprimir.png')";

		if($a[esto_nb_categoria]>0)
			$a_cate=carregar('categoria',$a[esto_nb_categoria]);
		else
			$a_cate='';
		
		if($a[esto_tx_status] != 'encerrado'){
			$modificar = ".icone_modificar($a[0],'modifica_compra')";
		} else {
			$modificar = "";
		}
		
		if($_SESSION[user_tx_nivel] == 'Administrador') {
		
			if($a[esto_tx_status] != 'encerrado'){
				$excluir = ".icone_excluir($a[0],'exclui_compra')";
			} else {
				$modificar = '';
				$excluir = '';
				$imprimir="$imprimir;";
				
			}
		}

		$congelar = '';
		if($a[esto_tx_status] != 'encerrado'){
			$sql_cong = selecionar('congela','cong_tx_status','ativo'," AND cong_nb_estoque = '$a[0]' LIMIT 1");
			if(num_linhas($sql_cong)>0){
				$congelar = "<img src='cactus/imagens/cadeado3.png'>";
				// $congelar = ".icone_modificar($a[0],'cadastra_congela_completo','','','','','','/cactus/imagens/cadeado3.png')";
			}else{
				$congelar = ".icone_modificar($a[0],'cadastra_congela_completo','','','','','','/cactus/imagens/cadeado2.png')";
			}
		}
		$valores[]=array($a[esto_nb_id],data($a[esto_tx_data],1),$a_cate[cate_tx_nome],$a[esto_tx_obs],$a[esto_tx_status],$congelar,$imprimir,$modificar);
	
		$total_valor+=$a[esto_tx_valor];
	}
	
	
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_compra');
	cactux::acao_botao('imprimir_busca','layout_imprimi_busca','','','','',' target=_blank');
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
	cactux::acao_botao('faz_pagamento_form','seleciona_layout_finaliza','ids_agrupados','0');
	
	javascript("
		
		var IDS_AGRUPA = Array();
		
		function seleciona_check(id) {
			
			var t = IDS_AGRUPA.length;
			var achou=0;
			
			// VARRE O ARRAY E TESTA SE O ID JAH EXISTE, SE JAH EXISTIR ENTAO APAGA
			for(i=0; i!=t; i++) {
				
				if( IDS_AGRUPA[i] == id ) {
					achou = 1;
					IDS_AGRUPA[i]='';
					break;
				}
				
			}
			
			// SE NAO EXISTIR, ENTAO INSERE NO ARRAY
			if( achou != 1 ) {
				
				IDS_AGRUPA[t] = id;
				
			}
			
		}
		
		function faz_pagamento(id_atual) {
			
			// JUNTA O ARRAY EM UMA STRING SEPARADA POR '-'
			var agrupados = IDS_AGRUPA.join('-');
			
			// CONCATENA COM A STRING O ID DO PAGAMENTO CLICADO
			agrupados += '-'+id_atual;
			
			document.faz_pagamento_form.ids_agrupados.value=agrupados;
			document.faz_pagamento_form.submit();
			
		}
		
	");
	
}


controle();
?>
